Page MenuHomePhabricator

Verify functionality of the 'production' image in the context of an isolated k8s deployment
Closed, ResolvedPublic

Description

This work will initially target Mathoid.

We'll need:

  1. Isolated k8s deployments (minikube on integration using --vmdriver=none) accessible by jenkins/integration with a namespace per executor.
  2. Method of defining k8s deployments (e.g., helm) integrate/adapt operations helm definitions.
  3. Method for running e2e/smoke tests on deployments (e.g., service-checker with helm test(?))

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
InvalidNone
InvalidNone
ResolvedNone
Resolveddduvall
Resolveddduvall
Resolveddduvall
Resolvedakosiaris
Resolvedthcipriani
DeclinedNone
Resolvedthcipriani
Resolveddduvall
Resolveddduvall
InvalidNone
Resolveddduvall
Resolveddduvall
Resolveddduvall
InvalidNone
InvalidNone

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2017, 6:08 PM
thcipriani updated the task description. (Show Details)Dec 18 2017, 6:24 PM
dduvall triaged this task as Medium priority.Jan 4 2018, 11:48 PM
dduvall moved this task from Backlog to CI on the Release Pipeline board.
dduvall closed this task as Resolved.Aug 13 2018, 7:30 PM
dduvall claimed this task.